using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Timers;
using System.Configuration;

namespace Task
{
    class Program
    {
        static void Main(string[] args)
        {
            System.Timers.Timer aTimer = new System.Timers.Timer();
            aTimer.Elapsed += new ElapsedEventHandler(TimeEvent);
            // 设置引发时间的时间间隔 此处设置为１秒（１０００毫秒）
            aTimer.Interval = 1800000;
            aTimer.Enabled = true;
            Console.WriteLine("按回车键结束程序");
            Console.WriteLine(" 等待程序的执行．．．．．．");
            Console.ReadKey();
        }

        private static void TimeEvent(object source, ElapsedEventArgs e)
        {
            Console.WriteLine("进入定时监控程序......");
            // 得到 hour minute second   如果等于某个值就开始执行某个程序。
            DateTime date1 = e.SignalTime;
            int intHour = e.SignalTime.Hour;
            int intMinute = e.SignalTime.Minute;
            int intSecond = e.SignalTime.Second;
            //Console.WriteLine(intHour);
            //Console.WriteLine(intMinute);
            //Console.WriteLine(intSecond);
            // 定制时间； 比如 在10：30 ：00 的时候执行某个函数
            int iHour = 9;
            int iMinute = 53;
            int iSecond = 01;
            // 设置 多少秒的时候开始执行
            if (intSecond == iSecond)
            {
                Console.WriteLine("每秒钟的开始执行一次！");
            }
            // 设置 每个小时的３０分钟开始执行
            if (intMinute == iMinute && intSecond == iSecond)
            {
                Console.WriteLine("每个小时的３０分钟开始执行一次！");
            }

            // 设置 每天的１０：３０：００开始执行程序
            //if (intHour == iHour && intMinute == iMinute && intSecond == iSecond)
            //{
            //}

            using (var client = new WebClient())
            {

                client.Encoding = Encoding.UTF8;
                try
                {
                    string Configs = ConfigurationManager.AppSettings.Get("smsurl");
                    // 读取配置文件进行所有的连接初始化操作
                    //string serviceAddress = "http://192.168.8.9:1005/WorkOrderNew/SmsOverTimeMs";
                    string serviceAddress = Configs + "WorkOrderNew/SmsOverTimeMs";
                    var data = client.DownloadString(serviceAddress);
                }
                catch
                {
                }
                          

            }


        }
    }
}
